sunny123

Hello!

I get the following error when I run analyze command on a vss database:

TF60032: The VSS Converter requires Visual SourceSafe 2005 or later to run. Ple
ase install Visual SourceSafe 2005 or later and try again.

I ran the following command:

reg.exe query HKCR\SourceSafe\CurVer

with the result:


! REG.EXE VERSION 3.0

HKEY_CLASSES_ROOT\SourceSafe\CurVer
<NO NAME> REG_SZ SourceSafe.0

My registry editor does display the following entries for source safe:

Sourcesafe

CLSID

CURVER

Sourcesafe.0

CLSID

Sourcesafe.8.0

CLSID

Sourcesafe.scc

Please assist how to resolve the error!

Thankyou!



Re: Team Foundation Server - Version Control VSSconverter analyze error

Hua Chen - MSFT

Dear sunny123:
Here is one possible solution for your problem.
VSS Converter requires Microsoft Visual SourceSafe 2005 or above to be installed on the computer on which you are performing migration. This problem occurs when the older version of ssapi.dll is registered instead of the ssapi.dll that was included with Microsoft Visual SourceSafe 2005. To solve this problem, uninstall the older version of Visual SourceSafe and Microsoft Visual SourceSafe 2005, and reinstall only Microsoft Visual SourceSafe 2005.

Good luck.






Re: Team Foundation Server - Version Control VSSconverter analyze error

sunny123

Thank you. The uninstall and reinstall helped!